﻿.datepicker-container *,
.datepicker-container > * {
    font-family: "IRANYekanX";
}

img[alt="logo"] {
    width: 40px;
}

.input-validation-error {
    border-color: #DC3545 !important;
    outline-color: #DC3545 !important;
}

.input-validation-error:focus {
    border-color: #DC3545 !important;
    outline-color: #DC3545 !important;
}

.avatar {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

.otp-code-input {
    border-start-start-radius: 0 !important;
    border-end-start-radius: 0 !important;
    flex: 1;
}

.otp-button {
    border-start-end-radius: 0 !important;
    border-end-end-radius: 0 !important;
    flex: 0 0 130px;
}

.otp-button:hover {
    transform: unset;
}

.small-info {
    font-size: 14px;
}

.title-info {
    font-size: 18px;
}

.cropper-custom-container {
    position: fixed;
    inset: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, 0.77);
    display: none;
    justify-content: center;
    align-items: center;
}

.cropper-custom-container img {
    object-fit: contain;
    width: 100%;
    max-height: 380px;
}

.w-35 {
    width: 35%;
}

.terms-and-conditions {
    font-size: 14px !important;
    text-align: right !important;
}

.terms-and-conditions > a {
    color: rgb(13, 110, 253);
}

.table-responsive th,
.table-responsive td{
    text-wrap: nowrap !important;
}

.module-box{
    padding: 35px !important;
    display: flex;
}

.module-box:hover{
    padding: 35px !important;
    display: flex;
}

.aspect-ratio-square{
    aspect-ratio: 1 / 1 !important;
}

.dropify-clear{
    position: static !important;
    width: 100% !important;
    margin-bottom: 5px !important;
}

@media (min-width: 992px) {
    .dropify-clear{
        max-width: 80px !important;
        position: absolute !important;
    }
}

.module-item .module-box{
    justify-content: center !important;
    align-items: center !important;
    aspect-ratio: 1 / 1;
}

.module-box > i{
    font-size: 3rem !important;
}

@media (min-width: 992px) {
    .col-lg-8-items {
        flex: 0 0 auto;
        width: calc(100% / 9);
    }
}

@media (min-width: 992px) {
    .w-lg-30 {
        width: 30% !important;
    }
}
@media (min-width: 992px) {
    .w-lg-40px{
        width: 40px !important;
    }
}

@media (min-width: 992px) {
    .w-lg-auto{
        width: auto !important;
    }
}


.justify-self-end{
    justify-self: end !important;
}

.justify-self-start{
    justify-self: start !important;
}


.card-selectable {
    cursor: pointer;
    transition: 0.2s;
}

.card-selectable input[type="checkbox"],
.card-selectable input[type="radio"]{
    display: none;
}

.card-selectable input[type="checkbox"] + .card,
.card-selectable input[type="radio"] + .card{
    transition: 0.1s all !important;
}

.card-selectable input[type="checkbox"]:checked + .card,
.card-selectable input[type="radio"]:checked + .card{
    border: 3px solid var(--bs-blue);
}

.card-selectable .card {
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.w-70{
    width: 70% !important;
}

#set-value{
    background-color: var(--bs-card-bg);
}

.h-160px{
    height: 160px !important;
}

.address .d-flex {
    flex-wrap: nowrap;
}

.address span {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    min-width: 0;
}

[map]:not([map-readonly="true"]) {
    height: 300px;
}
@media (max-width: 767.98px) {
    .welcome-text * {
        font-size: 20px;
    }
}

:root{
    --bs-index-background: #f0f4f8;
}

[data-bs-theme=dark]{
    --bs-index-background: #2c2c2c;
}

.custom-home-page-background{
    background-color: var(--bs-index-background) !important;
}

.background-transparent{
    background-color: transparent !important;
}

.module-item{
    z-index: 1 !important
}

.module-item-avatar{
    width: 25px !important;
    height: 25px !important;
}

.bg-residue-item{
    background-color: rgba(159, 159, 159, 0.08)
}

.w-30px{
    width: 30px !important;
}